/*
 * Copyright
 *   2009 axYus - www.axyus.com
 *   2009 C.Marchand - christophe.marchand@axyus.com
 *
 * This file is part of XEMELIOS.
 *
 * XEMELIOS is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * XEMELIOS is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with XEMELIOS; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package fr.gouv.finances.dgfip.xemelios.web.gwt.client.dto;

import com.google.gwt.user.client.rpc.IsSerializable;

/**
 *
 * @author Christophe Marchand <christophe.marchand@axyus.com>
 */
public class SearchSessionDTO implements java.io.Serializable {
    private String searchSessionId=null;
    private String documentId = null;
    private String etatId = null;
    private String elementId = null;
    private String collectivite=null;
    private String budget=null;

    public SearchSessionDTO() {
        super();
    }
    public SearchSessionDTO(String searchSessionId, String documentId, String etatId, String elementId, String collectivite, String budget) {
        this();
        this.searchSessionId=searchSessionId;
        this.documentId=documentId;
        this.etatId=etatId;
        this.elementId=elementId;
        this.collectivite=collectivite;
        this.budget=budget;
    }

    public String getBudget() {
        return budget;
    }

    public void setBudget(String budget) {
        this.budget = budget;
    }

    public String getCollectivite() {
        return collectivite;
    }

    public void setCollectivite(String collectivite) {
        this.collectivite = collectivite;
    }

    public String getDocumentId() {
        return documentId;
    }

    public void setDocumentId(String documentId) {
        this.documentId = documentId;
    }

    public String getElementId() {
        return elementId;
    }

    public void setElementId(String elementId) {
        this.elementId = elementId;
    }

    public String getEtatId() {
        return etatId;
    }

    public void setEtatId(String etatId) {
        this.etatId = etatId;
    }

    public String getSearchSessionId() {
        return searchSessionId;
    }

    public void setSearchSessionId(String searchSessionId) {
        this.searchSessionId = searchSessionId;
    }
    
}
